Bug 448761 - translations belong in the main package, not in -devel
translations belong in the main package, not in -devel
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: qt3 (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-28 13:13 EDT by Thomas Moschny
Modified: 2008-11-27 15:45 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-27 15:45:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Moschny 2008-05-28 13:13:31 EDT
Description of problem:
$QTDIR/translations is used at runtime, and thus should be in qt3, not in qt3-devel.

Version-Release number of selected component (if applicable):
qt3-3.3.8b-12.fc9.x86_64
qt3-devel-3.3.8b-12.fc9.x86_64

Same problem in other branches, e.g. F-8:
qt-3.3.8b-2.fc8.x86_64
qt-devel-3.3.8b-2.fc8.x86_64
Comment 1 Steven M. Parrish 2008-06-26 17:27:26 EDT
Is this an issue we are going to address?
Comment 2 Kevin Kofler 2008-06-26 18:30:02 EDT
Yes, it sounds like a real issue.

What uses $QTDIR/translations at runtime? If it's only Designer and Assistant, 
then that would explain why it's in -devel, but if it's also used by e.g. 
qtconfig, then it should definitely be in the main package.
Comment 3 Thomas Moschny 2008-07-01 06:43:23 EDT
Even if no program currently uses it, this is clearly a packaging issue which
should be fixed.

LMMS (bug 443771) depends on qt3 and will use the translations.
Comment 4 Steven M. Parrish 2008-09-28 18:30:00 EDT
Ping
Comment 5 Ngo Than 2008-09-29 05:38:30 EDT
>Even if no program currently uses it, this is clearly a packaging issue which
>should be fixed.
>
>LMMS (bug 443771) depends on qt3 and will use the translations.

i have taken a look at this bug 443771, Comment #3. 

>* Qt i18n 
>configure:21663: checking Qt translations
>configure:21679: WARNING: *** not found! You may want to install a Qt i18n >package
>I don't know any package that provides that, but you may want to check
>acinclude.m4 where live the gw_CHECK_QT function. and probably remove it to >pick
>a nicer m4 for qt detection. ( for pathes on lib64 and to not hardcode the
>needed library).

the configure uses the $QTDIR/translations to check the Qt i18n in this case. It's typically needed for developent. I don't see why it should be moved to mainpackage
Comment 6 Thomas Moschny 2008-09-29 08:40:28 EDT
(In reply to comment #5)
> i have taken a look at this bug 443771, Comment #3. 
> 
> >* Qt i18n 
> >configure:21663: checking Qt translations
> >configure:21679: WARNING: *** not found! You may want to install a Qt i18n >package
> >I don't know any package that provides that, but you may want to check
> >acinclude.m4 where live the gw_CHECK_QT function. and probably remove it to >pick
> >a nicer m4 for qt detection. ( for pathes on lib64 and to not hardcode the
> >needed library).
> 
> the configure uses the $QTDIR/translations to check the Qt i18n in this case.
> It's typically needed for developent. I don't see why it should be moved to
> mainpackage

I don't understand your logic here. Of course an application's 'configure' has to find out where, on a particular system, the translation files are located. So they have to be there at compile time, no question about that.

But, the translation files are *used* (i.e. read by the application) at runtime (loaded from the path determined earlier), when the -devel package isn't necessarily installed. So, it's crystal clear (to me, at least) that the *.qm files have to be moved to the main package.
Comment 7 Ngo Than 2008-09-29 12:47:20 EDT
i have taken a close look at the main.c again. This applications actually loads the translation at the runtime. The translations has to be moved to main package. I will fix it. Thanks again.
Comment 8 Ngo Than 2008-09-30 06:19:39 EDT
it's fixed in 3.3.8b-16
Comment 9 Thomas Moschny 2008-11-27 15:45:39 EST
Confirmed for 3.3.8b-17.fc10.

Note You need to log in before you can comment on or make changes to this bug.